# -*- coding: utf-8 -*-

from odoo import models, fields, api


class OSPPInstance(models.Model):
    _name = 'ospp.instance'
    _description = 'OSPP Instance'

    name = fields.Char("Name")
    code = fields.Char("Code")
    type = fields.Selection([('saas', 'SAAS'), ('paas', 'PAAS')], required=True, string="Type")
    stack = fields.Selection([('docker', 'Docker'), ('k8s', 'K8S'), ('odoo', 'ODOO')], required=True, string="Stack")
    management_api = fields.Char('Management Api', required=True)
    management_key = fields.Char('Management Key')
    management_secret = fields.Char('Management Secret')
    service_base_host = fields.Char('Service Base Host')
    service_scheme = fields.Selection(
        [('http', 'HTTP'), ('https', 'HTTPS'), ('ws', 'WS'), ('wss', 'WSS')],
        required=True, string="Service Scheme")
    dockerfile = fields.Text("Dockerfile")
    active = fields.Boolean('Active', default=True)
